Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.osgi
Class BundleClassLoaderInterface

    java.lang.Object
      org.apache.struts2.osgi.BundleClassLoaderInterface

All Implemented Interfaces:
  com.opensymphony.xwork2.util.finder.ClassLoaderInterface

    public class BundleClassLoaderInterface

extends Object
implements com.opensymphony.xwork2.util.finder.ClassLoaderInterface

ClassLoaderInterface instance that delegates to the singleton of DefaultBundleAccessor

Field Summary

Fields inherited from interface com.opensymphony.xwork2.util.finder.ClassLoaderInterface
`CLASS_LOADER_INTERFACE`

Constructor Summary
`BundleClassLoaderInterface()`

Method Summary
`com.opensymphony.xwork2.util.finder.ClassLoaderInterface` | `getParent()`
`URL` | `getResource(String name)`
`InputStream` | `getResourceAsStream(String name)`
`Enumeration<URL>` | `getResources(String name)`
`Class<?>` | `loadClass(String name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BundleClassLoaderInterface

    public BundleClassLoaderInterface()

Method Detail

### loadClass

    public Class<?> loadClass(String name)
                       throws ClassNotFoundException

  Specified by:
    `loadClass` in interface `com.opensymphony.xwork2.util.finder.ClassLoaderInterface`
  Throws:
    `ClassNotFoundException`

### getResource

    public URL getResource(String name)

  Specified by:
    `getResource` in interface `com.opensymphony.xwork2.util.finder.ClassLoaderInterface`

### getResources

    public Enumeration<URL> getResources(String name)
                                  throws IOException

  Specified by:
    `getResources` in interface `com.opensymphony.xwork2.util.finder.ClassLoaderInterface`
  Throws:
    `IOException`

### getResourceAsStream

    public InputStream getResourceAsStream(String name)
                                    throws IOException

  Specified by:
    `getResourceAsStream` in interface `com.opensymphony.xwork2.util.finder.ClassLoaderInterface`
  Throws:
    `IOException`

### getParent

    public com.opensymphony.xwork2.util.finder.ClassLoaderInterface getParent()

  Specified by:
    `getParent` in interface `com.opensymphony.xwork2.util.finder.ClassLoaderInterface`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2017 Apache Software Foundation. All rights reserved.